Skip to main content
`Ctrl`+`K`

# TaoGetJacobianInequalityRoutine

Gets the function used to compute inequality constraint Jacobian.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetJacobianInequalityRoutine(Tao tao, Mat *J, Mat *Jpre, PetscErrorCode (**func)(Tao tao, Vec x, Mat J, Mat Jpre, PetscCtx ctx), PetscCtxRt ctx)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- J - the matrix to internally hold the constraint computation

- Jpre - the matrix used to construct the preconditioner

- func - Jacobian evaluation routine

- ctx - the (optional) user-defined context

## Calling sequence of `func`

- tao - the `Tao` context

- x - input vector

- J - Jacobian matrix

- Jpre - matrix used to construct the preconditioner, usually the same as `J`

- ctx - [optional] user-defined Jacobian context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeJacobianInequality()`, `TaoSetJacobianInequalityRoutine()`

## Level

intermediate

## Location

src/tao/interface/taosolver_hj.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages